Show / Hide Table of Contents

# Class DalamudStartInfo

Struct containing information needed to initialize Dalamud.

##### Inheritance

System.Object
DalamudStartInfo

##### Implements

IServiceType
System.IEquatable<DalamudStartInfo>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud

###### Assembly: Dalamud.dll

##### Syntax

    [Serializable]
    public class DalamudStartInfo : IServiceType, IEquatable<DalamudStartInfo>

### Constructors

| Improve this Doc View Source

#### DalamudStartInfo()

Initializes a new instance of the DalamudStartInfo class.

##### Declaration

    public DalamudStartInfo()

| Improve this Doc View Source

#### DalamudStartInfo(DalamudStartInfo)

Initializes a new instance of the DalamudStartInfo class.

##### Declaration

    public DalamudStartInfo(DalamudStartInfo other)

##### Parameters

Type | Name | Description
--- | --- | ---
DalamudStartInfo | other | Object to copy values from.

### Properties

| Improve this Doc View Source

#### AssetDirectory

Gets or sets the path to core Dalamud assets.

##### Declaration

    public string AssetDirectory { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### BootDisableFallbackConsole

Gets or sets a value indicating whether the fallback console should be shown, if needed.

##### Declaration

    public bool BootDisableFallbackConsole { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BootDotnetOpenProcessHookMode

Gets or sets a value choosing the OpenProcess hookmode.

##### Declaration

    public int BootDotnetOpenProcessHookMode { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BootEnabledGameFixes

Gets or sets a list of enabled game fixes.

##### Declaration

    public List<string> BootEnabledGameFixes { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<System.String> |

| Improve this Doc View Source

#### BootEnableEtw

Gets or sets a value indicating whether or not ETW should be enabled.

##### Declaration

    public bool BootEnableEtw { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BootLogPath

Gets or sets the path the boot log file is supposed to be written to.

##### Declaration

    public string BootLogPath { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### BootShowConsole

Gets or sets a value indicating whether a Boot console should be shown.

##### Declaration

    public bool BootShowConsole { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BootUnhookDlls

Gets or sets a list of DLLs that should be unhooked.

##### Declaration

    public List<string> BootUnhookDlls { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<System.String> |

| Improve this Doc View Source

#### BootVehEnabled

Gets or sets a value indicating whether the VEH should be enabled.

##### Declaration

    public bool BootVehEnabled { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BootVehFull

Gets or sets a value indicating whether the VEH should be doing full crash dumps.

##### Declaration

    public bool BootVehFull { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BootWaitDebugger

Gets or sets a value indicating whether Dalamud should wait for a debugger to be attached before initializing.

##### Declaration

    public bool BootWaitDebugger { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BootWaitMessageBox

Gets or sets a flag indicating where Dalamud should wait with a message box.

##### Declaration

    public int BootWaitMessageBox { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ConfigurationPath

Gets or sets the path to the configuration file.

##### Declaration

    public string ConfigurationPath { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### CrashHandlerShow

Gets or sets a value indicating whether to show crash handler console window.

##### Declaration

    public bool CrashHandlerShow { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DefaultPluginDirectory

Gets or sets the path to the directory for developer plugins.

##### Declaration

    public string DefaultPluginDirectory { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DelayInitializeMs

Gets or sets a value that specifies how much to wait before a new Dalamud session.

##### Declaration

    public int DelayInitializeMs { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GameVersion

Gets or sets the current game version code.

##### Declaration

    [JsonConverter(typeof(GameVersionConverter))]
    public GameVersion GameVersion { get; set; }

##### Property Value

Type | Description
--- | ---
GameVersion |

| Improve this Doc View Source

#### Language

Gets or sets the language of the game client.

##### Declaration

    public ClientLanguage Language { get; set; }

##### Property Value

Type | Description
--- | ---
ClientLanguage |

| Improve this Doc View Source

#### NoLoadPlugins

Gets or sets a value indicating whether no plugins should be loaded.

##### Declaration

    public bool NoLoadPlugins { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### NoLoadThirdPartyPlugins

Gets or sets a value indicating whether no third-party plugins should be loaded.

##### Declaration

    public bool NoLoadThirdPartyPlugins { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### PluginDirectory

Gets or sets the path to the directory for installed plugins.

##### Declaration

    public string PluginDirectory { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### TroubleshootingPackData

Gets or sets troubleshooting information to attach when generating a tspack file.

##### Declaration

    public string TroubleshootingPackData { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### WorkingDirectory

Gets or sets the working directory of the XIVLauncher installations.

##### Declaration

    public string WorkingDirectory { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Implements

IServiceType
System.IEquatable<T>